package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ApOfdmaConfigOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApOfdmaConfigOpenApiVo   {
  @JsonProperty("ofdmaEnable2g")
  private Boolean ofdmaEnable2g;

  @JsonProperty("ofdmaEnable5g")
  private Boolean ofdmaEnable5g;

  @JsonProperty("ofdmaEnable5g2")
  private Boolean ofdmaEnable5g2;

  @JsonProperty("ofdmaEnable6g")
  private Boolean ofdmaEnable6g;

  @JsonProperty("supportOfdma2g")
  private Boolean supportOfdma2g;

  @JsonProperty("supportOfdma5g")
  private Boolean supportOfdma5g;

  @JsonProperty("supportOfdma5g2")
  private Boolean supportOfdma5g2;

  @JsonProperty("supportOfdma6g")
  private Boolean supportOfdma6g;

  public ApOfdmaConfigOpenApiVo ofdmaEnable2g(Boolean ofdmaEnable2g) {
    this.ofdmaEnable2g = ofdmaEnable2g;
    return this;
  }

  /**
   * Advanced feature OFDMA 2G config status. True: enable, false: disable.
   * @return ofdmaEnable2g
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 2G config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable2g() {
    return ofdmaEnable2g;
  }

  public void setOfdmaEnable2g(Boolean ofdmaEnable2g) {
    this.ofdmaEnable2g = ofdmaEnable2g;
  }

  public ApOfdmaConfigOpenApiVo ofdmaEnable5g(Boolean ofdmaEnable5g) {
    this.ofdmaEnable5g = ofdmaEnable5g;
    return this;
  }

  /**
   * Advanced feature OFDMA 5G config status. True: enable, false: disable.
   * @return ofdmaEnable5g
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 5G config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable5g() {
    return ofdmaEnable5g;
  }

  public void setOfdmaEnable5g(Boolean ofdmaEnable5g) {
    this.ofdmaEnable5g = ofdmaEnable5g;
  }

  public ApOfdmaConfigOpenApiVo ofdmaEnable5g2(Boolean ofdmaEnable5g2) {
    this.ofdmaEnable5g2 = ofdmaEnable5g2;
    return this;
  }

  /**
   * Advanced feature OFDMA 5G2 config status. True: enable, false: disable.
   * @return ofdmaEnable5g2
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 5G2 config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable5g2() {
    return ofdmaEnable5g2;
  }

  public void setOfdmaEnable5g2(Boolean ofdmaEnable5g2) {
    this.ofdmaEnable5g2 = ofdmaEnable5g2;
  }

  public ApOfdmaConfigOpenApiVo ofdmaEnable6g(Boolean ofdmaEnable6g) {
    this.ofdmaEnable6g = ofdmaEnable6g;
    return this;
  }

  /**
   * Advanced feature OFDMA 6G config status. True: enable, false: disable.
   * @return ofdmaEnable6g
  */
  @ApiModelProperty(value = "Advanced feature OFDMA 6G config status. True: enable, false: disable.")


  public Boolean getOfdmaEnable6g() {
    return ofdmaEnable6g;
  }

  public void setOfdmaEnable6g(Boolean ofdmaEnable6g) {
    this.ofdmaEnable6g = ofdmaEnable6g;
  }

  public ApOfdmaConfigOpenApiVo supportOfdma2g(Boolean supportOfdma2g) {
    this.supportOfdma2g = supportOfdma2g;
    return this;
  }

  /**
   * Indicates whether the device supports OFDMA 2G. True: support, false: unSupport.
   * @return supportOfdma2g
  */
  @ApiModelProperty(value = "Indicates whether the device supports OFDMA 2G. True: support, false: unSupport.")


  public Boolean getSupportOfdma2g() {
    return supportOfdma2g;
  }

  public void setSupportOfdma2g(Boolean supportOfdma2g) {
    this.supportOfdma2g = supportOfdma2g;
  }

  public ApOfdmaConfigOpenApiVo supportOfdma5g(Boolean supportOfdma5g) {
    this.supportOfdma5g = supportOfdma5g;
    return this;
  }

  /**
   * Indicates whether the device supports OFDMA 5G. True: support, false: unSupport.
   * @return supportOfdma5g
  */
  @ApiModelProperty(value = "Indicates whether the device supports OFDMA 5G. True: support, false: unSupport.")


  public Boolean getSupportOfdma5g() {
    return supportOfdma5g;
  }

  public void setSupportOfdma5g(Boolean supportOfdma5g) {
    this.supportOfdma5g = supportOfdma5g;
  }

  public ApOfdmaConfigOpenApiVo supportOfdma5g2(Boolean supportOfdma5g2) {
    this.supportOfdma5g2 = supportOfdma5g2;
    return this;
  }

  /**
   * Indicates whether the device supports OFDMA 5G2. True: support, false: unSupport.
   * @return supportOfdma5g2
  */
  @ApiModelProperty(value = "Indicates whether the device supports OFDMA 5G2. True: support, false: unSupport.")


  public Boolean getSupportOfdma5g2() {
    return supportOfdma5g2;
  }

  public void setSupportOfdma5g2(Boolean supportOfdma5g2) {
    this.supportOfdma5g2 = supportOfdma5g2;
  }

  public ApOfdmaConfigOpenApiVo supportOfdma6g(Boolean supportOfdma6g) {
    this.supportOfdma6g = supportOfdma6g;
    return this;
  }

  /**
   * Indicates whether the device supports OFDMA 6G. True: support, false: unSupport.
   * @return supportOfdma6g
  */
  @ApiModelProperty(value = "Indicates whether the device supports OFDMA 6G. True: support, false: unSupport.")


  public Boolean getSupportOfdma6g() {
    return supportOfdma6g;
  }

  public void setSupportOfdma6g(Boolean supportOfdma6g) {
    this.supportOfdma6g = supportOfdma6g;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApOfdmaConfigOpenApiVo apOfdmaConfigOpenApiVo = (ApOfdmaConfigOpenApiVo) o;
    return Objects.equals(this.ofdmaEnable2g, apOfdmaConfigOpenApiVo.ofdmaEnable2g) &&
        Objects.equals(this.ofdmaEnable5g, apOfdmaConfigOpenApiVo.ofdmaEnable5g) &&
        Objects.equals(this.ofdmaEnable5g2, apOfdmaConfigOpenApiVo.ofdmaEnable5g2) &&
        Objects.equals(this.ofdmaEnable6g, apOfdmaConfigOpenApiVo.ofdmaEnable6g) &&
        Objects.equals(this.supportOfdma2g, apOfdmaConfigOpenApiVo.supportOfdma2g) &&
        Objects.equals(this.supportOfdma5g, apOfdmaConfigOpenApiVo.supportOfdma5g) &&
        Objects.equals(this.supportOfdma5g2, apOfdmaConfigOpenApiVo.supportOfdma5g2) &&
        Objects.equals(this.supportOfdma6g, apOfdmaConfigOpenApiVo.supportOfdma6g);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ofdmaEnable2g, ofdmaEnable5g, ofdmaEnable5g2, ofdmaEnable6g, supportOfdma2g, supportOfdma5g, supportOfdma5g2, supportOfdma6g);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApOfdmaConfigOpenApiVo {\n");
    
    sb.append("    ofdmaEnable2g: ").append(toIndentedString(ofdmaEnable2g)).append("\n");
    sb.append("    ofdmaEnable5g: ").append(toIndentedString(ofdmaEnable5g)).append("\n");
    sb.append("    ofdmaEnable5g2: ").append(toIndentedString(ofdmaEnable5g2)).append("\n");
    sb.append("    ofdmaEnable6g: ").append(toIndentedString(ofdmaEnable6g)).append("\n");
    sb.append("    supportOfdma2g: ").append(toIndentedString(supportOfdma2g)).append("\n");
    sb.append("    supportOfdma5g: ").append(toIndentedString(supportOfdma5g)).append("\n");
    sb.append("    supportOfdma5g2: ").append(toIndentedString(supportOfdma5g2)).append("\n");
    sb.append("    supportOfdma6g: ").append(toIndentedString(supportOfdma6g)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

